Bug 1113406 - (CVE-2014-4652) CVE-2014-4652 Kernel: ALSA: control: protect user controls against races & memory disclosure
CVE-2014-4652 Kernel: ALSA: control: protect user controls against races & me...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20140618,reported=2...
: Security
Depends On: 1117336 1117337 1117338 1117339 1117340
Blocks: 1112943
  Show dependency treegraph
 
Reported: 2014-06-26 03:01 EDT by Prasad J Pandit
Modified: 2015-07-31 03:23 EDT (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An information leak flaw was found in the way the Linux kernel's Advanced Linux Sound Architecture (ALSA) implementation handled access of the user control's state. A local, privileged user could use this flaw to leak kernel memory to user space.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-22 15:27:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2014-06-26 03:01:12 EDT
Linux kernel built with the Advanced Linux Sound Architecture(ALSA) sound
system support(CONFIG_SND) is vulnerable to an information leakage flaw. It
could occur when two applications try to access control state simultaneously.

A user/application could use this flaw to leak arbitrary kernel memory bytes.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/07f4d9d74a04aa7c72c5dae0ef97565f28f17b92

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2014/06/26/6
Comment 1 Prasad J Pandit 2014-07-08 09:29:12 EDT
Statement:

(none)
Comment 5 Martin Prpic 2014-08-18 07:18:12 EDT
IssueDescription:

An information leak flaw was found in the way the Linux kernel's Advanced Linux Sound Architecture (ALSA) implementation handled access of the user control's state. A local, privileged user could use this flaw to leak kernel memory to user space.
Comment 6 errata-xmlrpc 2014-08-20 06:51:45 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:1083 https://rhn.redhat.com/errata/RHSA-2014-1083.html
Comment 7 errata-xmlrpc 2014-12-09 15:34:17 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html
Comment 8 errata-xmlrpc 2015-07-22 04:09:07 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1272 https://rhn.redhat.com/errata/RHSA-2015-1272.html

Note You need to log in before you can comment on or make changes to this bug.